Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.sbi.celldesigner.plugin
Class PluginInformationBox

    java.lang.Object
      jp.sbi.celldesigner.plugin.PluginSBase
          jp.sbi.celldesigner.plugin.PluginInformationBox

    public class PluginInformationBox

extends PluginSBase

Field Summary
`static java.lang.String` | `STR_EMPTY_STATE`
`static java.lang.String` | `STR_OPEN_STATE`

Fields inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`sbase`

Constructor Summary
`PluginInformationBox()`

Method Summary
`double` | `getAngle()`
`java.lang.String` | `getLabel1String()`
`java.lang.String` | `getLabel2String()`
`java.lang.String` | `getStateString()`
`void` | `resetStateString()`
`void` | `setAngle(double angle)`
`boolean` | `setInfoAll(java.lang.String strState, java.lang.String strLabel1, java.lang.String strLabel2)`

Methods inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`addCVTerm, ChangeCVTermToMiriamDefinition, getAnnotation, getAnnotationString, getCVTerm, getNotes, getNotesString, getNumCVTerms, getParentSBase, getRelationFromCVTerm, setAnnotation, setAnnotationString, setCVTerm, setNotes, setNotes, setParentSBase, toSBML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STR_EMPTY_STATE

    public static final java.lang.String STR_EMPTY_STATE

See Also:
  Constant Field Values

### STR_OPEN_STATE

    public static final java.lang.String STR_OPEN_STATE

See Also:
  Constant Field Values

Constructor Detail

### PluginInformationBox

    public PluginInformationBox()

Method Detail

### setAngle

    public void setAngle(double angle)

### getAngle

    public double getAngle()

### setInfoAll

    public boolean setInfoAll(java.lang.String strState,
                              java.lang.String strLabel1,
                              java.lang.String strLabel2)

### resetStateString

    public void resetStateString()

### getStateString

    public java.lang.String getStateString()

### getLabel1String

    public java.lang.String getLabel1String()

### getLabel2String

    public java.lang.String getLabel2String()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD